/* FALTA POR PONER:
    - COLORES A LOS ENLACES */

/* FUENTES */
@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&family=Quicksand:wght@300..700&display=swap');

/* VARIABLES COLORES */
:root{
    --blanco: #ffffff;
    --blancoBase: #F4E2DE;
    --Claro: rgb(247, 243, 242);
    --naranja: #F29325;
    --naranjaSelec: #fcc653;
    --naranjaHover: #eb790f;
    --naranjaOscuro: #D94F04;
    --VerdosoClaro:#007172;
    --VerdosoClaroPlaceholder:#65a2a3;
    --VerdosoOscuro:#025259;
}

/*ANIMACIONES*/
@keyframes palpitar{
    from{
        transform: scale(1);
    }
    to{
        transform: scale(1.1);
    }
}

@keyframes tambaleo{
    from{
        transform: rotate(-5deg);
    }
    to{
        transform: rotate(5deg);
    }
}

*{
    box-sizing: border-box;
}

body{
    background-image: url(../img/backgroundBasic.PNG); 
    background-size: cover;
}

header{
    background-color: var(--Claro);
    width: 100%;
    height: 200px;
}

header img{
    display: inline-block;
    width: 450px;
    margin-left: 100px;
    vertical-align: middle;
}

header h1{
    display: inline-block;
    width: 20%;
    height: 100px;
    vertical-align: top;
    margin-left: 150px;
    font-size: 50px;
    text-align: center;
    color: var(--naranja);
    -webkit-text-stroke-width: 1px; /* Grosor */
    -webkit-text-stroke-color: var(--naranjaOscuro);
    font-family: 'Oswald';
    line-height: 1;
}

header span{
    color: var(--blanco);
    /*Color del borde*/
    -webkit-text-stroke-width: 2px; /* Grosor */
    -webkit-text-stroke-color: var(--naranjaOscuro);
}

nav{
    background-color: var(--naranja);
    width: 100%;
    height: 75px;
    border-top: solid var(--blancoBase) 3px;
    border-bottom: solid var(--naranjaOscuro) 3px;
    font-family: 'Oswald';

    position: relative; /* Para colocar el logo en la esquina izquierda */
}

nav ul {
    list-style-type: none;
    text-align: center;
    /*Los navegadores añaden margin y padding por defecto a ul*/
    margin: 0;
    padding: 0;
}

nav li{
    display: inline-block;
}

nav a{
    display: block;
    text-decoration: none;
    color:var(--Claro);
    font-size: 30px;

    padding: 10px 20px 10px 20px; /*top right bottom left*/
}

nav a:hover{
    background-color: var(--naranjaHover);
    border-radius: 10px;
    color: var(--naranjaOscuro);
    font-weight: bold;
    border-bottom: solid var(--naranjaOscuro) 5px;
}

nav img{
    position: absolute; /* Para colocar el logo en la esquina izquierda */
    left: 1px;
    width: 110px;
}

.seleccionado{
    background-color: var(--naranjaOscuro);
    border-radius: 10px;
    color: var(--naranjaSelec);
    border-bottom: solid var(--naranjaOscuro) 5px;
}

.cerrar{
    display: inline-block;
    font-size: 20px;
}

.cerrarDer{
    float: right;
}

.cerrar:hover{
    animation: tambaleo;
    animation-duration: 1s;
    animation-iteration-count: infinite; /*Se repite de manera infinita*/
    animation-direction: alternate; /* La animación se reproduce en sentido contrario */
}

.puerta{   
    display: inline-block;
    width: 20px;
    height: 20px;
    background-image: url(../img/doorlock.png); 
    background-size: cover;           
    background-position: center;    
    background-repeat: no-repeat;    
    margin-right: 5px;
}

.puerta:hover{   
    width: 20px;
    height: 20px;
    background-image: url(../img/opendoor.png); 
    background-size: cover;           
    background-position: center;    
    background-repeat: no-repeat;    
    margin-right: 5px;
}


main h1{
    margin-top: 40px;
    color: var(--VerdosoOscuro);
}

main{
    margin-top: 30px;
    font-family: Quicksand;
}

.agradecimiento{
    background: white;
    width: 90%;
    margin: 15px auto;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.2);
}

main a{
    text-decoration: none;
    color: #F29325;
    font-weight: bold;
}

main a:hover{
    color: #eb790f;
}